Subject: New seller message on 2026.01.03 06 AM

From: "[email-masked]" <[email-masked]>
Date: Sat, 3 Jan 2026 07:55:11 -0800 (PST)

💬 [New message] Zachary Wang: I can't give a direct quote here. Could you please share your email so I can send you the detailed pricing and shipping info for the anthracite leather set to Switzerland?&

Josephine, Zachary has replied to you

Related product

Ligne Roset Designer Style High Quality Togo Compressive Sofa Set - Modern Sofas, Luxury Comfort Sofas Modernos for Living Room

$375.0

Zhiyan Global (dalian) Technology Co., Ltd.
Founded in 2024. CN

I can't give a direct quote here. Could you please share your email so I can send you the detailed pricing and shipping info for the anthracite leather set to Switzerland?&

Reply to supplier

View full conversation

You have 0 unread messages in total

View full conversation

Download the Alibaba.com App

Help Center   |   Blog   |   Request for Quotation   |   My Account

If you don’t want to receive this kind of emails, you can update your preferences or Unsubscribe from this type of email Read our Privacy Policy and Terms of Use

Alibaba.com Singapore E-commerce Private Limited51 Bras Basah Road, #04-08 Lazada One, Singapore 189554

This email was sent from an address used for notifications only and does not give Alibaba any active role, knowledge or control over the listings. Please do not reply to this message/email